Bug 439994 - Brasero displays odd burning speeds (1-3-5-etc) instead of even values (2-4-8-etc)
Brasero displays odd burning speeds (1-3-5-etc) instead of even values (2-4-8...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: brasero (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Denis Leroy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-01 05:30 EDT by Radu-Cristian Fotescu
Modified: 2008-05-14 13:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-14 13:00:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Possible patch (596 bytes, patch)
2008-04-01 05:32 EDT, Radu-Cristian Fotescu
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 525501 None None None Never

  None (edit)
Description Radu-Cristian Fotescu 2008-04-01 05:30:45 EDT
Description of problem:
In the drive properties dialog, Brasero 0.7.1 (and 0.7.0) displays even
CD-burning speeds, e.g. 1x-3x-5x-7x-etc instead of 2x-4x-6x-8x-etc. This way,
most people can't burn, except for burning at the maximum speed.

Version-Release number of selected component (if applicable):
0.7.0, 0.7.1

Additional info:
Upstream bug 525501.
Comment 1 Radu-Cristian Fotescu 2008-04-01 05:32:17 EDT
Created attachment 299871 [details]
Possible patch

Someone please test it, it works with me. The fix is absolutely trivial, and it
was only tested on systems that had correct speeds with Brasero 0.6.1 (*NOT*
0.6.90!!!) and incorrect speeds with 0.7.0 and 0.7.1.
Comment 2 Denis Leroy 2008-04-01 06:01:01 EDT
Can't reproduce here, I'm seeing correct burning speeds. You may want to report
your CDROM type ("sudo sginfo /dev/sr0") on the upstream bug.
Comment 3 Radu-Cristian Fotescu 2008-04-01 06:15:59 EDT
I am away from my laptop right now, but it happens *always*, with several
distros (at least Fedora, Ubuntu, Parsix), and on both a laptop and a PC!

Both are LG units:
-- laptop unit: HL-DT-ST DVDRAM GSA-T20N. Capabilities: CD-R: 24x; DVD-R/DVD+R:
6x ZCLV.
-- PC unit: GCE-8526B. Capabilities: CD-R: 52x.

These models are reported in dmesg anyway. I can't run sginfo, but these units
are *very* popular. 

I can't believe that *only* the LG units report speeds in KiB or in KB that get
computed in incorrect Nx speed values in Brasero >= 0.6.90!
Comment 4 Denis Leroy 2008-04-01 06:35:46 EDT
Please also report the output of 

# sg_modes /dev/sr0
Comment 5 Radu-Cristian Fotescu 2008-04-01 12:03:04 EDT
[root@chapelier ~]# sginfo /dev/sr0
INQUIRY response (cmd: 0x12)
----------------------------
Device Type                        5
Vendor:                    HL-DT-ST
Product:                   DVDRAM GSA-T20N 
Revision level:            WP03

[root@chapelier ~]# sg_modes /dev/sr0
    HL-DT-ST  DVDRAM GSA-T20N   WP03   peripheral_type: cd/dvd [0x5]
Mode parameter header from MODE SENSE(10):
  Mode data length=246, medium type=0x70, specific param=0x00, longlba=0
  Block descriptor length=0
>> Read-Write error recovery, page_control: current
 00     01 0a 80 63 00 00 00 00  03 00 00 00                                
>> Write parameters, page_control: current
 00     05 32 60 05 08 10 00 00  00 00 00 00 00 20 00 96                    
 10     00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00                    
 20     00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00                    
 30     00 00 00 00                                                         
>> Caching, page_control: current
 00     88 0a 04 00 08 00 00 00  00 80 00 80                                
>> CD device parameters (obsolete), page_control: current
 00     8d 06 00 0b 00 3c 00 4b                                             
>> CD audio, page_control: current
 00     0e 0e 04 00 00 00 00 4b  01 ff 02 ff 00 00 00 00                    
>> LU control, page_control: current
 00     18 1a 00 01 00 01 00 00  00 01 00 01 00 01 00 00                    
 10     00 01 00 01 00 01 00 01  00 01 00 00                                
>> Power condition (mmc), page_control: current
 00     9a 0a 00 03 00 00 00 64  00 00 01 40                                
>> Fault/failure reporting control (mmc), page_control: current
 00     9c 0a 00 04 00 00 02 58  00 00 00 00                                
>> Timeout and protect, page_control: current
 00     9d 08 00 00 00 00 00 1e  2a 30                                      
>> page_code: 0x20, page_control: current
 00     a0 0a 01 00 00 64 00 03  00 00 00 00                                
>> MM capabilities and mechanical status (obsolete), page_control: current
 00     2a 3e 3f 37 f1 73 29 23  10 8a 01 00 08 00 10 8a                    
 10     00 00 10 8a 10 8a 00 01  00 00 00 00 10 8a 00 04                    
 20     00 00 10 8a 00 00 0b 06  00 00 06 e4 00 00 02 c2                    
 30     00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00                    
[root@chapelier ~]# 

Frankly, I don't see anything useful here!?
Comment 6 Denis Leroy 2008-04-02 05:51:45 EDT
Moving discussion on upstream bug.
Comment 7 Bug Zapper 2008-05-14 04:30:35 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Denis Leroy 2008-05-14 13:00:46 EDT
Fixed upstream, but backporting the patch is non trivial, so closing.

Note You need to log in before you can comment on or make changes to this bug.